Loading...
Searching...
No Matches
ARC_Time Struct Reference

the ARC_Time data structre based on time.h (mainly added to avoid having to type `struct tm` every time) More...

`#include <time.h>`

## Data Fields

uint8_t | seconds
uint8_t | minutes
uint8_t | hour
uint32_t | day
uint8_t | month
uint32_t | year
uint8_t | dayOfWeek
uint8_t | dayOfMonth
uint8_t | daylightSavingsFlag

## Detailed Description

the ARC_Time data structre based on time.h (mainly added to avoid having to type `struct tm` every time)

seconds == tm_sec [0,60] minutes == tm_min [0,59] hour == tm_hour [0,23]

day == tm_yday Day of year [0,365] month == tm_mon Month of year [0,11] year == tm_year Years since 1900

dayOfWeek == tm_wday Day of week [0,6] (Sunday =0) dayOfMonth == tm_mday Day of month [1,31]

daylightSavingsFlag == tm_isdst Daylight Savings flag

Definition at line 27 of file time.h.

## Field Documentation

## day

uint32_t ARC_Time::day

Definition at line 32 of file time.h.

## daylightSavingsFlag

uint8_t ARC_Time::daylightSavingsFlag

Definition at line 39 of file time.h.

## dayOfMonth

uint8_t ARC_Time::dayOfMonth

Definition at line 37 of file time.h.

## dayOfWeek

uint8_t ARC_Time::dayOfWeek

Definition at line 36 of file time.h.

## hour

uint8_t ARC_Time::hour

Definition at line 30 of file time.h.

## minutes

uint8_t ARC_Time::minutes

Definition at line 29 of file time.h.

## month

uint8_t ARC_Time::month

Definition at line 33 of file time.h.

## seconds

uint8_t ARC_Time::seconds

Definition at line 28 of file time.h.

## year

uint32_t ARC_Time::year

Definition at line 34 of file time.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/std/time.h